### Function

# Dex file_new_tmp_dir

unstable since: 1.2

#### Declaration [src]

    DexFuture*
    dex_file_new_tmp_dir (
      const char* tmpl,
      int io_priority
    )

#### Description [src]

Wraps `g_file_new_tmp_dir_async()` as a `DexFuture`.

Available since: 1.2

#### Parameters

`tmpl`

  Type: `const char*`

  Template for the directory name, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`io_priority`

  Type: `int`

  Priority for the IO operation.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GFile` or rejects with error.

The caller of the function takes ownership of the data, and is responsible for freeing it.